GameStop Corp.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/gamestop-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/gamestop-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1748390400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investor.gamestop.com/news-releases/news-details/2025/GameStop-Announces-Purchase-of-Bitcoin/default.aspx",
    "holding_balance": 4710.0,
    "holding_net_change": 4710.0,
    "transaction_value_usd": 507840960.6,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1774310400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.businesswire.com/news/home/20260324496659/en/GameStop-Reports-Fourth-Quarter-and-Fiscal-Year-2025-Results",
    "holding_balance": 1.0,
    "holding_net_change": -4709.0,
    "transaction_value_usd": 368000000.0,
    "average_entry_value_usd": -78148.23,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/gamestop-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    1.0
  ],
  [
    1787011200000,
    1.0
  ],
  [
    1787097600000,
    1.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/gamestop-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    62825.94
  ],
  [
    1787011200000,
    64495.06
  ],
  [
    1787097600000,
    64692.35
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/gamestop-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 18.44,
    "date": "2026-08-14",
    "high": 18.79,
    "open": 18.65,
    "close": 18.66,
    "volume": 4233400
  },
  {
    "low": 18.32,
    "date": "2026-08-17",
    "high": 18.61,
    "open": 18.61,
    "close": 18.4,
    "volume": 5731900
  },
  {
    "low": 17.92,
    "date": "2026-08-18",
    "high": 18.38,
    "open": 18.38,
    "close": 17.95,
    "volume": 5574232
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/gamestop-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 6.333,
  "eps_estimate_current_quarter": 0.16
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gamestop-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -17.51,
  "six_month_return": -22.83,
  "three_month_return": -18.07
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gamestop-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}